Video camera support?

Andrew Jorgensen andrew.jorgensen at gmail.com
Sat Apr 12 21:28:00 MDT 2008


On Sat, Apr 12, 2008 at 4:08 PM, Charles Curley
<charlescurley at charlescurley.com> wrote:
> Just for the halibut, I bought a video camera. Skype picks it up and
>  runs it just fine. However, that seems to be the only application that
>  does. Camorama can't seem to run it. Am I missing a driver and if so
>  which one?

Camorama is a little bit vintage.  If your camera works in Skype then
probably the driver only supports only one of v4l2 or v4l and camorama
only supports the other.  This is a common problem with webcams (even
though v4l2 is supposed to have a backward compatibility layer).

It's also possible that the webcam uses a colorspace or media type
that camorama doesn't understand.

Give Cheese <http://www.gnome.org/projects/cheese/> a try.  It uses
gstreamer which in turn has backends for both v4l and v4l2.  Use
gstreamer-properties to tweak which one it uses (I think).  Also it's
awesome.  Though I guess it doesn't support old-school ftp webcam
posting like camorama probably does.



More information about the PLUG mailing list